var g_url_tradecat='tradecatxml.asp';
/**
 *改变专卖店分类与产品参数
 */
 var rolback='0';
function changeTracatAndCpcs(pId,bId,sId,hys){
		var sendstr = '';
		sendstr = 'pid='+escape(pId)+'&bid='+bId + '&sid=' + sId + '&hys=' + hys ;
		var myAjax = new Ajax.Request(g_url_tradecat , {
			method: 'post', 
			parameters: sendstr, 
			asynchronous: false, 
		      onComplete:function(request){
		    	updateCheckBox(request.responseXML,'TradeCat','hyzmd_div');
		      }                    
		}); 	
		rolback='1';
}


/**
 *更新checkbox，这个方法会根据返回的内容生成checkbox并放到objid指定的元素的innerHTML中
 *@p xml DOM对象
 *@p tagname xml文档里的标签名字
 *@p objid 要关联的元素的ID
 */
function updateCheckBox(xml,tagname,objid){
		var isrefuse = 0;
		var tag;
		var val;
		var valArr;
		var valDef;
		var j;
		$E(objid).innerHTML = "";
		var isRollback;
		//alert("run this is");
		try{
			var htmltext = '';				
			var items = xml.getElementsByTagName(tagname);
			if(items.length>0){

			  htmltext =htmltext+ '<table width="101.2%" border="0" cellpadding="3" cellspacing="1" class=tableBorder_white>';
			  var tradenum=items.length;
			  
			  for(var i=0;i<items.length;i++){
				    var item = items[i];	
					htmltext =htmltext+' <tr> ';
					htmltext =htmltext+' <td width="20%" height="22" align="right" bgcolor="#CBDCFD">'+ getXmlElementStr(item,'Name')+' '+getXmlElementStr(item,'Unit')+'：</td>';		       
				    htmltext =htmltext+' <td width="80%" bgcolor="#D2E1FD">';
					tag =getXmlElementStr(item,'Tag');
					val =getXmlElementStr(item,'Values');
					valDef =getXmlElementStr(item,'Def');
					if (val.indexOf("||") > 0)
					{
						valArr = val.split("||");
						for(j = 0; j < valArr.length; j++) { 
							htmltext =htmltext+' <div class=spl><INPUT type=radio name="param'+ tag+'"';	    
							htmltext =htmltext+ ' value="'+ valArr[j] + '"';
							if((valDef != "") && (valArr[j] == valDef)){
								htmltext =htmltext+ ' checked';
							}
							htmltext =htmltext+ '>' + valArr[j] + '  </div>';
						} 
					}
					else
				    {
						if (val == "自填") val = "";
						if (valDef != "") val = valDef;
						htmltext =htmltext+' <INPUT type=text name="param'+tag+'" size=50 value="'+val+'">';	    
				    }
					htmltext =htmltext+' </td> '	
					htmltext =htmltext+' </tr> '
				}
				
				htmltext =htmltext+ '</table>';
				$E(objid).innerHTML = htmltext;		
				selectareaid = "";
				_cpl(3);
				
			}else{
			   document.getElementById("hyzmd").style.display="none";
			}
		
	}catch(e){
		alert('已服务器通讯暂时出现了一些问题，请稍后再试试.' + e.message);
	}
		
}

function tcheckedt(num){
var ch;
var cht;
var chf;
 for(var i=0;i<num;i++){
    var mls='tradecat'+i;
   // alert(mls);
     ch=$E(mls).checked; 
     if(ch==true){
       cht=ch;
     }else{
       chf=ch;
     }
  }
  
  if(cht==true){
     //document.getElementById("mhyzm").className="thdone";
	     ishyzm=1;
  }else{
     //document.getElementById("mhyzm").className="thing";
	     ishyzm=0;
  }
}



function _except(e){
	alert('系统暂时无法提供服务.请稍后再试');
}

/**
 *changePanelLabel修改您'选择的产品分类是'标签的内容
 *@p c 表示第几级
 */
function _cpl(c){
	
	if(c==1){
		if(document.getElementById("hyzmd")) document.getElementById("hyzmd").style.display="none";	
	}else if(c==3 || c==2){		
		if(document.getElementById("hyzmd")) document.getElementById("hyzmd").style.display="block";
	}
}

/**
 *根据节点名称返回节点值，如果有多个节点都是这个节点名称，返回第一个值
 *@p XmlElement Dom
 *@p TagName 节点的名称
 */
function getXmlElementStr(XmlElement,TagName){
	if(XmlElement.getElementsByTagName(TagName)[0].firstChild){
		return XmlElement.getElementsByTagName(TagName)[0].firstChild.data;
	}else{
	  	return "";
	}
}


